Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class SystemAccess.FileType

    java.lang.Object
      de.caff.maze.SystemAccess.FileType

Enclosing interface:
  SystemAccess

    public static class SystemAccess.FileType

extends java.lang.Object

Just a file extension and the resource for a description of the type it defines.

Field Summary
`(package private) java.lang.String` | `resType` I18n resource for the type descripton.

Constructor Summary
`SystemAccess.FileType(java.lang.String[] extensions, java.lang.String resType)` Constructor.
`SystemAccess.FileType(java.lang.String extension, java.lang.String resType)` Constructor.

Method Summary
`java.lang.String[]` | `getExtensions()` Get the extensions.
`java.lang.String` | `getType()` Get the type of this

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resType

    final java.lang.String resType

  I18n resource for the type descripton.

Constructor Detail

### SystemAccess.FileType

    public SystemAccess.FileType(java.lang.String extension,
                                 java.lang.String resType)

  Constructor.

  Parameters:
    `extension` - extension (w/o dot)
    `resType` - i18n resource for the type description

### SystemAccess.FileType

    public SystemAccess.FileType(java.lang.String[] extensions,
                                 java.lang.String resType)

  Constructor.

  Parameters:
    `extensions` - extent
    `resType` - i18n resource for the type description

Method Detail

### getExtensions

    public java.lang.String[] getExtensions()

  Get the extensions.

  Returns:
    extensions

### getType

    public java.lang.String getType()

  Get the type of this

  Returns:
    the type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD